summaryrefslogtreecommitdiffstats
path: root/multimedia
diff options
context:
space:
mode:
author Chris Farrell2013-01-06 18:47:34 +0100
committer dsomero2013-01-10 00:52:24 +0100
commite89f44bc1a32862d62e1b4ad870bf9a5ecce7695 (patch)
tree404d7faa79e0e5302bd581db0b87e7db8bc7fe6f /multimedia
parent0730010334666ee9bac2902ab161d66ce9a8ed7e (diff)
downloadslackbuilds-e89f44bc1a32862d62e1b4ad870bf9a5ecce7695.tar.gz
multimedia/gpodder3: Added (branch 3.x of gpodder).
Signed-off-by: Matteo Bernardini <ponce@slackbuilds.org>
Diffstat (limited to 'multimedia')
-rw-r--r--multimedia/gpodder3/README10
-rw-r--r--multimedia/gpodder3/doinst.sh9
-rw-r--r--multimedia/gpodder3/gpodder3.SlackBuild103
-rw-r--r--multimedia/gpodder3/gpodder3.info10
-rw-r--r--multimedia/gpodder3/slack-desc19
5 files changed, 151 insertions, 0 deletions
diff --git a/multimedia/gpodder3/README b/multimedia/gpodder3/README
new file mode 100644
index 0000000000..bfc419c7ae
--- /dev/null
+++ b/multimedia/gpodder3/README
@@ -0,0 +1,10 @@
+gPodder is a podcast receiver/catcher written in Python utilizing PyGTK for
+its user interface. gPodder allows the user to subscribe to RSS feeds for
+podcasts, videocasts, and other similar content and download media files
+found in those feeds. gPodder has system-tray notifications, remote access
+to the gpodder.net web services and optional support for Bluetooth and iPod
+synchronization.
+
+This script packages the stable version from the 3.x branch.
+
+This is incompatible with gpodder (install only one of the two).
diff --git a/multimedia/gpodder3/doinst.sh b/multimedia/gpodder3/doinst.sh
new file mode 100644
index 0000000000..3e5691a052
--- /dev/null
+++ b/multimedia/gpodder3/doinst.sh
@@ -0,0 +1,9 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
+
+if [ -e usr/share/icons/hicolor/icon-theme.cache ]; then
+ if [ -x /usr/bin/gtk-update-icon-cache ]; then
+ /usr/bin/gtk-update-icon-cache usr/share/icons/hicolor >/dev/null 2>&1
+ fi
+fi
diff --git a/multimedia/gpodder3/gpodder3.SlackBuild b/multimedia/gpodder3/gpodder3.SlackBuild
new file mode 100644
index 0000000000..3546287ce8
--- /dev/null
+++ b/multimedia/gpodder3/gpodder3.SlackBuild
@@ -0,0 +1,103 @@
+#!/bin/sh
+
+# Slackware build script for gpodder3
+# Modified by Luis Henrique <lmello.009@gmail.com>
+# Modified for gpodder3 by Chris Farrell <haikuhacker@gmail.com>
+
+# Copyright 2008-2009 Chess Griffin <chess@chessgriffin.com>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=gpodder3
+SRCNAM=gpodder
+VERSION=3.4.0
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+DOCS="README COPYING PKG-INFO ChangeLog"
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $SRCNAM-$VERSION
+tar xvf $CWD/$SRCNAM-$VERSION.tar.gz
+cd $SRCNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+# On Slackware, we don't have neither ip nor ifconfig under the normal user $PATH
+sed -i \
+ "/Popen(\['ip\|Popen(\['ifconfig/s/Popen(\['/Popen(['\/sbin\//" \
+ src/gpodder/util.py
+
+make install DESTDIR=$PKG
+
+find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/man/man1
+mv $PKG/usr/share/man/man1/* $PKG/usr/man/man1/
+rm -rf $PKG/usr/share/man/
+
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp $DOCS $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/multimedia/gpodder3/gpodder3.info b/multimedia/gpodder3/gpodder3.info
new file mode 100644
index 0000000000..67208a4368
--- /dev/null
+++ b/multimedia/gpodder3/gpodder3.info
@@ -0,0 +1,10 @@
+PRGNAM="gpodder3"
+VERSION="3.4.0"
+HOMEPAGE="http://gpodder.org/"
+DOWNLOAD="http://gpodder.org/source/3.4.0"
+MD5SUM="1fc04fdc8ff3666316cd7fa74400d30e"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="feedparser mygpoclient"
+MAINTAINER="Chris Farrell"
+EMAIL="haikuhacker@gmail.com"
diff --git a/multimedia/gpodder3/slack-desc b/multimedia/gpodder3/slack-desc
new file mode 100644
index 0000000000..b1ab6d64c0
--- /dev/null
+++ b/multimedia/gpodder3/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+gpodder3: gpodder3 (GTK media aggregator)
+gpodder3:
+gpodder3: gPodder is a podcast receiver/catcher written in Python utilizing
+gpodder3: PyGTK for its user interface. gpodder3 allows the user to subscribe
+gpodder3: to RSS feeds for podcasts, videocasts, and other similar content
+gpodder3: and download media files found in those feeds.
+gpodder3: gpodder has system-tray notifications, support for optional iPod
+gpodder3: synchronization, and MP3/Ogg id3 tag editing.
+gpodder3: This is the stable version from the 3.x branch.
+gpodder3:
+gpodder3: Homepage: http://gpodder3.org/